Skip to main content
POST
/
api
/
v1
/
workers
/
heartbeat
Worker Heartbeat
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/workers/heartbeat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "worker_id": "<string>",
  "environment_name": "<string>",
  "status": "active",
  "tasks_processed": 0,
  "current_task_id": "<string>",
  "worker_metadata": {}
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/workers/heartbeat"

payload = {
"worker_id": "<string>",
"environment_name": "<string>",
"status": "active",
"tasks_processed": 0,
"current_task_id": "<string>",
"worker_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
worker_id: '<string>',
environment_name: '<string>',
status: 'active',
tasks_processed: 0,
current_task_id: '<string>',
worker_metadata: {}
})
};

fetch('https://control-plane.kubiya.ai/api/v1/workers/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Body

application/json

Worker heartbeat request

worker_id
string
required
environment_name
string
required
status
string
default:active
tasks_processed
integer
default:0
current_task_id
string | null
worker_metadata
Worker Metadata · object

Response

Successful Response